set more off
capture log close
log using juststata-2, replace
/*
	Getting started and All about data
*/
clear
describe
input odd even
1 2
3 4
5 6
7 8
9 10
end
describe
list
outfile using oddeven, replace
type oddeven.raw
clear
describe
infile even odd using oddeven.raw
list
type oddeven.dct
infile using oddeven, clear
list
clear
set obs 100
generate epsilon = rnormal()
sysuse auto, clear
egen avgmpg = mean(mpg), by(foreign)
by foreign: summarize mpg avgmpg
list avgmpg in f
describe avgmpg
d a
format avgmpg %6.0f
l a in f
label variable avgmpg "Average MPG by origin"
describe avgmpg
label list
tabulate foreign
tabulate foreign, nolabel
display "Hello, world"
display = 5/2
display = cos(2*_pi)
decode foreign, generate(flabel)
replace flabel = lower(flabel)
display _new "The mileage of the 1978 " = make[5] " was " = mpg[5] " MPG," %3.0f = 100 * mpg[5]/avgmpg[5] " percent of the average for " = flabel[5] " cars in 1978."
log close
